{
  "private": false,
  "name": "mod-ansible-autodoc",
  "version": "1.0.0",
  "description": "Generate documentation from comments in Ansible YML files",
  "license": "MIT",
  "author": "Brian Zalewski <brian@megabyte.space> (https://megabyte.space)",
  "homepage": "https://megabyte.space",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/megabyte-labs/mod-ansible-autodoc.git"
  },
  "bugs": {
    "email": "help@megabyte.space",
    "url": "https://gitlab.com/megabyte-labs/python/cli/mod-ansible-autodoc/-/issues"
  },
  "type": "module",
  "scripts": {
    "build": "bash start.sh && task python:build",
    "bump": "npm run build && npm version patch --no-commit-hooks --no-git-tag-version --force && npm publish",
    "commit": "bash start.sh && task commit",
    "fix": "bash start.sh && task fix",
    "help": "bash start.sh && task --menu",
    "lint": "bash start.sh && task lint",
    "preload": "bash start.sh && task preload",
    "prepare": "bash start.sh && (test -f Taskfile.yml && task npm:prepare) || true",
    "release": "bash start.sh && task publish:semantic-release",
    "repair": "bash <(curl -sS https://install.doctor/repair)",
    "start": "test -z $SKIP_NPM_START && bash start.sh || true",
    "test": "bash start.sh && [[ -z $CI ]] && task python:test:pytest || task python:test:ci",
    "unpack": "bash start.sh && task npm:bundle:unpack",
    "update": "bash start.sh && task update",
    "vscode": "bash start.sh && task vscode"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/git-cz-emoji"
    }
  },
  "dependencies": {},
  "peerDependenciesMeta": {
    "eslint": {
      "optional": true
    }
  },
  "optionalDependencies": {},
  "devDependencies": {
    "@commitlint/config-conventional": "latest",
    "eslint-config-strict-mode": "latest",
    "git-cz-emoji": "latest",
    "handlebars-helpers": "latest",
    "prettier": "^2.4.1",
    "prettier-config-sexy-mode": "latest",
    "semantic-release-config": "latest",
    "typescript": "^4.5.5"
  },
  "keywords": [
    "advanced",
    "automation",
    "bandit",
    "beginner",
    "boilerplate",
    "cli",
    "easy",
    "gitlab-ci",
    "go",
    "go-lang",
    "golang",
    "mblabs",
    "megabytelabs",
    "poetry",
    "professormanhattan",
    "pytest",
    "python",
    "terminal",
    "washingtondc"
  ],
  "engines": {
    "node": ">=18.4.0"
  },
  "publishConfig": {
    "@gitlab:registry": "https://gitlab.com/api/v4/projects/25542337/packages/npm/",
    "@megabyte:registry": "https://gitlab.com/api/v4/projects/25542337/packages/npm/",
    "access": "public",
    "registry": "https://registry.npmjs.org/",
    "tag": "edge"
  },
  "blueprint": {
    "binName": "mod-ansible-autodoc",
    "customPackageName": "mod-ansible-autodoc",
    "description": "Generate documentation from comments in Ansible YML files",
    "github_id": "R_kgDOGt0jdA",
    "gitlab_group_id": "14289563",
    "gitlab_project_id": "25542337",
    "group": "python",
    "name": "(Mod) Ansible Autodoc",
    "overview": "[ansible-autodoc](https://github.com/AndresBott/ansible-autodoc) is a documentation tool that generates documentation from comments in Ansible source files (i.e. YML files). **mod-ansible-autodoc** is a fork of ansible-autodoc that fixes a few issues. It also changes some of the data output formats to play nice with [@appnest/readme](https://www.npmjs.com/package/@appnest/readme).",
    "repository": {
      "github": "https://github.com/megabyte-labs/mod-ansible-autodoc",
      "gitlab": "https://gitlab.com/megabyte-labs/python/cli/mod-ansible-autodoc"
    },
    "slug": "mod-ansible-autodoc",
    "subgroup": "cli",
    "subheader_description": "Documentation generated from comments in Ansible YML files, tweaked for compatibility with [@appnest/readme](https://www.npmjs.com/package/@appnest/readme)",
    "title": "(Mod) Ansible Autodoc"
  },
  "changelog": {
    "displayTypes": [
      "feat",
      "fix",
      "perf",
      "refactor",
      "revert"
    ],
    "showAuthor": true
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ],
    "helpUrl": "https://megabyte.space/docs/contributing/commits"
  },
  "eslintConfig": {
    "extends": "eslint-config-strict-mode"
  },
  "funding": [
    {
      "type": "opencollective",
      "url": "https://opencollective.com/megabytelabs"
    },
    {
      "type": "patreon",
      "url": "https://www.patreon.com/ProfessorManhattan"
    }
  ],
  "jscpd": {
    "absolute": true,
    "gitignore": true,
    "ignore": [
      "!**/.devcontainer/**/*",
      "!**/.config/**/*",
      "!**/.git/**/*",
      "!**/.github/**/*",
      "!**/.gitlab/**/*",
      "!**/.vscode/**/*",
      "!**/common/.config/taskfiles/**/*",
      "!**/docs/**/*",
      "!**/.editorconfig",
      "!**/.gitignore",
      "!**/.npmrc",
      "!**/.gitlab-ci.yml",
      "!**/README.md",
      "!**/LICENSE",
      "!**/Taskfile.yml",
      "!**/logo.png",
      "!**/package.json",
      "!**/start.sh",
      "!**/pnpm-lock.yaml",
      "!**/package-lock.json",
      "!**/poetry.lock",
      "!**/pyproject.toml",
      "!**/requirements.yml",
      "!**/yarn.lock",
      "!**/deprecated/**/*"
    ],
    "threshold": 14
  },
  "lint-staged": {
    "(Brewfile|composer.lock|Gemfile|Gopkg.lock|Pipfile.lock)": [
      "task fix:prettier --"
    ],
    "**/!(logo).(jpg|png)": [
      "task image:compress --"
    ],
    "**/*": [
      "task lint:any --"
    ],
    "**/*!(template).(json|webapp|webmanifest)": [
      "task fix:json --"
    ],
    "**/*.(bash|cfg|cgi|command|css|env|env.*|handlebars|hbs|html|less|fcgi|java|md|mdx|mjml|php|phtml|properties|reg|scss|tmpl|tmux|tool|tpl|zsh)": [
      "task fix:prettier --"
    ],
    "**/*.(cjs|js|jsx|mjs|ts|tsx)": [
      "task fix:js --",
      "task lint:js --"
    ],
    "**/*.(yml|yaml)": [
      "task fix:yaml --",
      "task lint:yaml --"
    ],
    "**/*.go": [
      "task fix:go --",
      "task lint:go --"
    ],
    "**/*.md": [
      "task fix:markdown --",
      "task lint:spelling:markdown --"
    ],
    "**/*.php": [
      "task fix:php --",
      "task lint:php --"
    ],
    "**/*.py": [
      "task fix:python --",
      "task lint:python --"
    ],
    "**/*.sh": [
      "task fix:prettier --",
      "task fix:shell --",
      "task lint:shell --"
    ],
    "**/*.toml": [
      "task fix:toml --",
      "task fix:prettier --",
      "task lint:toml --"
    ],
    "**/*.xml": [
      "task fix:xml --",
      "task lint:xml --"
    ],
    "Dockerfile": [
      "task fix:prettier --",
      "task lint:docker --"
    ],
    "Vagrantfile": [
      "task fix:prettier --",
      "task lint:vagrant"
    ],
    "logo.(gif|jpg|jpeg|webp)": [
      "task image:convert:logo --"
    ],
    "logo.png": [
      "task image:resize -- 200 200",
      "task image:compress --"
    ]
  },
  "ntl": {
    "descriptions": {
      "build": "Builds the project using the build command specified under scripts in package.json",
      "bump": "Used to quickly build, increase the package.json version, and publish the package",
      "commit": "If unsure, use this task to commit your code so that it adheres to our commit rules",
      "fix": "Run auto-fixing with all available auto-fixers",
      "help": "Display the Bodega Taskfile.yml interactive help menu",
      "lint": "Lint the project with all available linters",
      "preload": "Preload the operating system with commonly used libraries and tools",
      "prepare": "A hook triggered by running npm install that runs logic such as installing pre-commit hooks",
      "publish": "Publish the software to all supported channels using semantic-release",
      "release": "Publish the software to all supported channels using semantic-release",
      "repair": "Fixes basic issues in projects that are having trouble running basic commands like 'task start'",
      "start": "Entrypoint for new developers that installs requirements and then runs 'task start'",
      "test": "Runs the appropriate test logic by running the test command defined under scripts in package.json",
      "unpack": "Populates production node_modules from compressed copies saved in the .modules/ folder",
      "update": "Update and refresh the repository with upstream changes and templated parts"
    }
  },
  "pnpm": {
    "allowedVersions": {
      "@typescript-eslint/eslint-plugin": "5",
      "eslint": "8",
      "typescript": "4"
    },
    "neverBuiltDependencies": [
      "core-js",
      "core-js-pure",
      "highlight.js"
    ],
    "peerDependencyRules": {
      "ignoreMissing": [
        "eslint",
        "prettier",
        "puppeteer"
      ]
    }
  },
  "prettier": "prettier-config-sexy-mode",
  "release": {
    "branches": [
      "main",
      "master",
      "next",
      {
        "name": "beta",
        "prerelease": true
      }
    ],
    "extends": "semantic-release-config"
  },
  "volta": {
    "node": "16.19.1",
    "yarn": "1.22.19"
  }
}
